# Filename: tri_get_properties.py
# Purpose: Get the properties of a triangulation.
# Returns: Dictionary.

from maptek import vulcan

input_tri = 'cube.00t' # input tri

with vulcan.triangulation(input_tri) as tri: # Open tri to get information
    properties = tri.get_properties() # Get properties
    
    # do something with dictionary...
    for key, value in properties.items():
        print(str(key), ':', str(value))